using System;
using System.Collections.Generic;
using System.Linq;

class Program
{
    static void Main()
    {
      var friends = new List<string>() {"Suresh", "Scott", "Brian", "Neal", "Binny"};

      var friendsNameStartingWithS = 
        from friend in friends
          where friend.StartsWith("S")
          orderby friend
          select friend;

      foreach(var name in friendsNameStartingWithS) 
      {
        Console.WriteLine(name);
      }

      //Using anonymous class
      var friendsAndLength = 
        from friend in friends
        select new {Name = friend, Length = friend.Length};
    
      foreach(var friendAndLenght in friendsAndLength) 
      {
        Console.WriteLine(friendAndLenght.Name + " - " + friendAndLenght.Length);
      }
    }
}

